Package: groovy.org.codenarc.test

## [Groovy] Class InMemoryAppender

- groovy.org.codenarc.test.InMemoryAppender

- All Implemented Interfaces and Traits:
    Closeable

      class InMemoryAppender
      extends org.apache.log4j.AppenderSkeleton

  Log4J Appender that saves all logged loggingEvents in a List.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `append(org.apache.log4j.spi.LoggingEvent loggingEvent)`
    `` | `void` | `clearLoggedMessages()`
    `` | `void` | `close()`
    `` | `List<String>` | `getLoggingEvents()` Return the List of LoggingEvents logged to this Appender
    `` | `boolean` | `requiresLayout()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class org.apache.log4j.AppenderSkeleton`

    `org.apache.log4j.AppenderSkeleton#getLayout(), org.apache.log4j.AppenderSkeleton#setLayout(org.apache.log4j.Layout), org.apache.log4j.AppenderSkeleton#getName(), org.apache.log4j.AppenderSkeleton#finalize(), org.apache.log4j.AppenderSkeleton#setName(java.lang.String), org.apache.log4j.AppenderSkeleton#setThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#getFilter(), org.apache.log4j.AppenderSkeleton#addFilter(org.apache.log4j.spi.Filter), org.apache.log4j.AppenderSkeleton#setErrorHandler(org.apache.log4j.spi.ErrorHandler), org.apache.log4j.AppenderSkeleton#isAsSevereAsThreshold(org.apache.log4j.Priority), org.apache.log4j.AppenderSkeleton#activateOptions(), org.apache.log4j.AppenderSkeleton#clearFilters(), org.apache.log4j.AppenderSkeleton#getFirstFilter(), org.apache.log4j.AppenderSkeleton#getThreshold(), org.apache.log4j.AppenderSkeleton#doAppend(org.apache.log4j.spi.LoggingEvent), org.apache.log4j.AppenderSkeleton#getErrorHandler(), org.apache.log4j.AppenderSkeleton#equals(java.lang.Object), org.apache.log4j.AppenderSkeleton#toString(), org.apache.log4j.AppenderSkeleton#hashCode(), org.apache.log4j.AppenderSkeleton#getClass(), org.apache.log4j.AppenderSkeleton#notify(), org.apache.log4j.AppenderSkeleton#notifyAll(), org.apache.log4j.AppenderSkeleton#wait(long), org.apache.log4j.AppenderSkeleton#wait(long, int), org.apache.log4j.AppenderSkeleton#wait(), org.apache.log4j.AppenderSkeleton#close(), org.apache.log4j.AppenderSkeleton#requiresLayout()`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### protected void append(org.apache.log4j.spi.LoggingEvent loggingEvent)

    - #### void clearLoggedMessages()

    - #### @Override void close()

    - #### List<String> getLoggingEvents()

      Return the List of LoggingEvents logged to this Appender

      Returns:
        the List of logged LoggingEvents

    - #### boolean requiresLayout()